<?php


namespace App\Classes\Modules\Orders\Services;

use Illuminate\Database\Eloquent\Builder;
use App\Classes\General\Eloquent\AbstractListRecord;
use App\Models\Order;

class ListsOrders extends AbstractListRecord
{
    /** @var Order */
    private $repository;

    /**
     * ListsOrders constructor.
     * @param Order $repository
     */
    public function __construct(Order $repository)
    {
        $this->repository = $repository;
    }

    /**
     * @return Builder
     */
    public function getRepository(): Builder
    {
        return $this->repository->newQuery();
    }
}
